"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NoShrinkBox = exports.Main = exports.GrowBox = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _shouldForwardProp = _interopRequireDefault(require("@styled-system/should-forward-prop"));
var _Primitives = require("./Primitives");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var Main = _styledComponents["default"].main.withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})({
  overflowY: 'auto',
  minHeight: '100vh',
  display: 'flex',
  flexDirection: 'column',
  alignItems: 'stretch',
  fontFamily: 'inherit',
  '@media screen and (max-width: 640px)': {
    overflowY: 'initial'
  }
}, _styledSystem.space, _styledSystem.width, _styledSystem.maxWidth, _styledSystem.fontSize, _styledSystem.fontFamily, _styledSystem.color);
exports.Main = Main;
var GrowBox = (0, _styledComponents["default"])(_Primitives.Box).withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})({
  fontFamily: 'inherit',
  flexGrow: 1
});
exports.GrowBox = GrowBox;
var NoShrinkBox = _styledComponents["default"].div.withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})({
  flexShrink: 0
});
exports.NoShrinkBox = NoShrinkBox;