"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SideBySideLayout = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledComponents2 = require("rebass/styled-components");
var _Logo = require("./Logo");
var _Main = require("./Main");
var _Footer = require("./Footer");
var _excluded = ["children", "showFooter", "currentSite"],
  _excluded2 = ["children", "useRouterLink"];
var _templateObject, _templateObject2;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
/* Usage:

  <SideBySideLayout>
    // Main page content
  </SideBySideLayout>

*/

var Left = (0, _styledComponents["default"])(_styledComponents2.Flex)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  display: flex\n  flex-direction: column\n  align-items: flex-end\n\n  @media screen and (max-width:640px) {\n    align-items: center;\n  }\n"])));
var Container = _styledComponents["default"].div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  display: grid;\n  grid-template-rows: 1fr;\n  grid-template-columns: minmax(220px, 50vw) minmax(600px, auto);\n  height: 100vh;\n  font-family: inherit;\n\n  @media screen and (max-width: 820px) {\n    grid-template-columns: 220px auto;\n  }\n\n  @media screen and (max-width: 640px) {\n    grid-template-rows: 1fr auto;\n    grid-template-columns: 1fr;\n    height: min-content;\n  }\n"])));
var Content = function Content(_ref) {
  var children = _ref.children,
    showFooter = _ref.showFooter,
    currentSite = _ref.currentSite,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_Main.Main, _extends({
    bg: "white"
  }, props), /*#__PURE__*/_react["default"].createElement(_Main.GrowBox, {
    px: [3, 3, 4, 4, 5],
    py: 3,
    pt: [5, 6],
    maxWidth: 900
  }, children), showFooter && /*#__PURE__*/_react["default"].createElement(_Main.NoShrinkBox, null, /*#__PURE__*/_react["default"].createElement(_Footer.Footer, {
    mt: 4,
    px: [3, 3, 4, 4, 5],
    py: [4, 5],
    bg: "footerlightblue",
    currentSite: currentSite
  })));
};
Content.propTypes = {
  children: _propTypes["default"].node,
  showFooter: _propTypes["default"].bool,
  currentSite: _Footer.Footer.propTypes.currentSite
};
Content.defaultProps = {
  showFooter: false
};
var SideBySideLayout = function SideBySideLayout(props) {
  var children = props.children,
    useRouterLink = props.useRouterLink,
    rest = _objectWithoutProperties(props, _excluded2);
  return /*#__PURE__*/_react["default"].createElement(Container, null, /*#__PURE__*/_react["default"].createElement(Left, {
    bg: "sidebarblue"
  }, /*#__PURE__*/_react["default"].createElement(_styledComponents2.Box, {
    pt: [4, '30vh'],
    px: [4, 4, 4, 5],
    pb: 4
  }, useRouterLink ? /*#__PURE__*/_react["default"].createElement(_Logo.Logo, null) : /*#__PURE__*/_react["default"].createElement(_Logo.LogoNormalLink, null))), /*#__PURE__*/_react["default"].createElement(Content, rest, children));
};
exports.SideBySideLayout = SideBySideLayout;
SideBySideLayout.propTypes = _objectSpread({
  children: _propTypes["default"].node,
  useRouterLink: _propTypes["default"].bool
}, Content.propTypes);
SideBySideLayout.defaultProps = {
  useRouterLink: true,
  showFooter: false
};