"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;
var _themeGet = require("@styled-system/theme-get");
var _polished = require("polished");
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _shouldForwardProp = _interopRequireDefault(require("@styled-system/should-forward-prop"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var Button = _styledComponents["default"].button.withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
}).attrs(function (props) {
  return _objectSpread({
    fontSize: 1,
    m: 0,
    bg: 'sidebarblue',
    px: [3, 4],
    py: [2, 3]
  }, props);
})({
  fontWeight: 'normal',
  lineHeight: 16 / 14,
  color: 'aqua',
  margin: 0,
  borderRadius: 4,
  borderColor: 'gray'
}, function (props) {
  return {
    fontFamily: 'inherit',
    WebkitFontSmoothing: 'antialiased',
    display: 'inline-block',
    verticalAlign: 'middle',
    textAlign: 'center',
    textDecoration: 'none',
    appearance: 'none',
    userSelect: 'none',
    cursor: 'pointer',
    border: '1px solid black',
    textTransform: props.uppercase ? 'uppercase' : 'initial',
    '&:disabled': {
      opacity: 1 / 3,
      cursor: 'default'
    }
  };
}, function (props) {
  var buttonbg = (0, _themeGet.themeGet)('colors.' + props.bg, props.bg)(props);
  var baseColor = (0, _polished.saturate)(0.5, buttonbg);
  return {
    borderColor: "".concat((0, _themeGet.themeGet)('colors.' + props.borderColor, props.borderColor)(props)),
    '&:hover:not(:disabled)': {
      backgroundColor: "".concat((0, _polished.darken)(0.05, baseColor))
    },
    '&:active': {
      backgroundColor: "".concat((0, _polished.darken)(0.1, baseColor))
    },
    '&:focus': {
      outline: 'none'
    },
    '&:focus:not(:active)': {
      backgroundColor: "".concat((0, _polished.darken)(0.15, baseColor))
    }
  };
}, _styledSystem.typography, _styledSystem.space, _styledSystem.color, _styledSystem.border);
exports.Button = Button;
Button.displayName = 'Button';