"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Footer = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Heading = require("./Heading");
var _Primitives = require("./Primitives");
var _Link = require("./Link");
var _Logo = require("./Logo");
var _Divider = require("./Divider");
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _shouldForwardProp = _interopRequireDefault(require("@styled-system/should-forward-prop"));
var _excluded = ["bg", "maxWidth", "currentSite"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var Container = _Primitives.Box;
var Heading = (0, _styledComponents["default"])(_Heading.BaseHeading).withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
}).attrs({
  mb: 3,
  fontSize: 0,
  color: 'darkbluegray'
})({
  fontFamily: 'inherit'
}, _styledSystem.typography, _styledSystem.color, _styledSystem.space);
var Link = function Link(props) {
  return /*#__PURE__*/_react["default"].createElement(_Link.ActiveLink, _extends({
    fontSize: 0,
    color: "bluegray"
  }, props));
};
var Section = function Section(_ref) {
  var heading = _ref.heading,
    children = _ref.children;
  return /*#__PURE__*/_react["default"].createElement(_Primitives.Box, null, /*#__PURE__*/_react["default"].createElement(Heading, null, heading), /*#__PURE__*/_react["default"].createElement("div", null, children));
};
var FooterContainer = (0, _styledComponents["default"])('div').withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})({
  display: 'grid'
}, _styledSystem.grid);
var FooterLinks = function FooterLinks(_ref2) {
  var accountsExternal = _ref2.accountsExternal,
    accountsURL = _ref2.accountsURL,
    homeExternal = _ref2.homeExternal,
    homeURL = _ref2.homeURL;
  return /*#__PURE__*/_react["default"].createElement(FooterContainer, {
    gridRowGap: 4,
    gridColumnGap: 3,
    gridTemplateColumns: "repeat(auto-fit, minmax(125px, 1fr))",
    gridAutoRows: "auto"
  }, /*#__PURE__*/_react["default"].createElement(Section, {
    heading: "Apps"
  }, /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/actions")
  }, "Actions"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/flow")
  }, "Flow"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/timepage")
  }, "Timepage"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/overlap")
  }, "Overlap")), /*#__PURE__*/_react["default"].createElement(Section, {
    heading: "Support"
  }, /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/support"),
    exact: true
  }, "Support"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/support/actions")
  }, "Actions User Guide"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/support/flow")
  }, "Flow User Guide"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/support/overlap")
  }, "Overlap User Guide"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/support/timepage")
  }, "Timepage User Guide"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/support/membership")
  }, "Membership FAQ"), false && /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/status")
  }, "System Status"), false && /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/contact")
  }, "Contact Us")), /*#__PURE__*/_react["default"].createElement(Section, {
    heading: "Account"
  }, /*#__PURE__*/_react["default"].createElement(Link, {
    external: accountsExternal,
    to: "".concat(accountsURL, "/account")
  }, "Manage Account"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: accountsExternal,
    to: "".concat(accountsURL, "/login")
  }, "Create Account")), /*#__PURE__*/_react["default"].createElement(Section, {
    heading: "Community"
  }, /*#__PURE__*/_react["default"].createElement(Link, {
    external: accountsExternal,
    to: "".concat(accountsURL, "/feedback")
  }, "Vote for Features"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: true,
    to: "https://www.instagram.com/moleskinestudio",
    newTab: true
  }, "Instagram"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: true,
    to: "https://twitter.com/moleskinestudio",
    newTab: true
  }, "Twitter"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: true,
    to: "https://medium.com/moleskine-digital-studio",
    newTab: true
  }, "Medium"), false && /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/whats-new")
  }, "What's New"), false && /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/newsletter")
  }, "Newsletter"), false && /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/beta")
  }, "Beta Program")), /*#__PURE__*/_react["default"].createElement(Section, {
    heading: "Moleskine Studio"
  }, false && /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/about")
  }, "About"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: true,
    to: "https://www.moleskine.com/",
    newTab: true
  }, "moleskine.com"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/press")
  }, "Press"), /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/contact")
  }, "Contact Us")));
};
var Text = (0, _styledComponents["default"])('span').withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})(_styledSystem.typography);
var Bullet = function Bullet() {
  return /*#__PURE__*/_react["default"].createElement(Text, {
    color: "bluegray"
  }, "\xA0\u2022\xA0");
};
var DisplayFlex = (0, _styledComponents["default"])(_Primitives.Flex).withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
}).attrs({
  display: ['block', 'flex']
})(_styledSystem.layout);
var FooterBottom = function FooterBottom(_ref3) {
  var homeExternal = _ref3.homeExternal,
    homeURL = _ref3.homeURL;
  return /*#__PURE__*/_react["default"].createElement(DisplayFlex, {
    alignItems: "center",
    mt: [4, 3]
  }, /*#__PURE__*/_react["default"].createElement(_Logo.Logo, null), /*#__PURE__*/_react["default"].createElement(_Primitives.Box, {
    mx: "auto"
  }), /*#__PURE__*/_react["default"].createElement(_Primitives.Flex, {
    alignItems: "center",
    mt: [4, 0]
  }, /*#__PURE__*/_react["default"].createElement(Link, {
    external: homeExternal,
    to: "".concat(homeURL, "/privacy"),
    mr: 2,
    lineHeight: 1,
    color: "bluegray"
  }, "Privacy & Terms"), false && /*#__PURE__*/_react["default"].createElement(Bullet, null), false && /*#__PURE__*/_react["default"].createElement(Link, {
    to: "/sitemap",
    ml: 2,
    lineHeight: 1,
    color: "bluegray"
  }, "Sitemap")));
};
var CopyrightText = (0, _styledComponents["default"])('div').withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})(_styledSystem.color, _styledSystem.typography, _styledSystem.space);
var Copyright = function Copyright() {
  return /*#__PURE__*/_react["default"].createElement(CopyrightText, {
    color: "bluegray",
    fontSize: 10,
    mt: [1, 3]
  }, "Copyright \xA9 ", new Date().getFullYear(), " Moleskine Digital Studio Pte Lte", /*#__PURE__*/_react["default"].createElement(Bullet, null), /*#__PURE__*/_react["default"].createElement(_Primitives.Box, {
    css: {
      display: 'inline-block'
    }
  }, "Made with \u2665 by\xA0", /*#__PURE__*/_react["default"].createElement(Link, {
    external: true,
    to: "https://bonobolabs.com",
    fontSize: 10,
    inline: true,
    newTab: true
  }, "Bonobo \uD83E\uDD8D")));
};
var Footer = function Footer(_ref4) {
  var bg = _ref4.bg,
    maxWidth = _ref4.maxWidth,
    currentSite = _ref4.currentSite,
    props = _objectWithoutProperties(_ref4, _excluded);
  // TODO find a nicer way than this
  var accountsExternal = true;
  var accountsURL = 'https://accounts.moleskinestudio.com';
  var homeExternal = true;
  var homeURL = 'https://moleskinestudio.com';
  if (currentSite === 'home') {
    homeExternal = false;
    homeURL = '';
  }
  if (currentSite === 'accounts') {
    accountsExternal = false;
    accountsURL = '';
  }
  var urls = {
    accountsExternal: accountsExternal,
    accountsURL: accountsURL,
    homeExternal: homeExternal,
    homeURL: homeURL
  };
  return /*#__PURE__*/_react["default"].createElement(_Primitives.Box, {
    as: "footer",
    bg: bg
  }, /*#__PURE__*/_react["default"].createElement(Container, _extends({}, props, {
    maxWidth: maxWidth
  }), /*#__PURE__*/_react["default"].createElement(FooterLinks, _extends({
    currentSite: currentSite
  }, urls)), /*#__PURE__*/_react["default"].createElement(_Divider.Divider, {
    borderBottom: "2px solid",
    borderColor: "lightgreyborder"
  }), /*#__PURE__*/_react["default"].createElement(FooterBottom, urls), /*#__PURE__*/_react["default"].createElement(Copyright, null)));
};
exports.Footer = Footer;
Footer.propTypes = {
  bg: _propTypes["default"].string,
  maxWidth: _propTypes["default"].number,
  currentSite: _propTypes["default"].oneOf([null, 'accounts', 'home', 'actions'])
};
Footer.defaultProps = {
  bg: 'sidebarblue',
  py: [4, 5],
  px: [4, 5],
  maxWidth: 900
};