"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Relative = exports.Position = exports.Hide = exports.Fixed = exports.Container = exports.Absolute = void 0;
var _shouldForwardProp = _interopRequireDefault(require("@styled-system/should-forward-prop"));
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _Primitives = require("./Primitives");
var _excluded = ["xs", "s", "m", "l", "display"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var Position = (0, _styledComponents["default"])('div').withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})({}, function (props) {
  return props.css;
}, _styledSystem.space, _styledSystem.layout, _styledSystem.color, _styledSystem.flexbox, _styledSystem.grid, _styledSystem.position);
exports.Position = Position;
var Relative = (0, _styledComponents["default"])(Position)({
  position: 'relative'
});
exports.Relative = Relative;
var Fixed = (0, _styledComponents["default"])(Position)({
  position: 'fixed'
});
exports.Fixed = Fixed;
var Absolute = (0, _styledComponents["default"])(Position)({
  position: 'absolute'
});
exports.Absolute = Absolute;
var Display = (0, _styledComponents["default"])(_Primitives.Box).withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})(_styledSystem.display);
var Hide = function Hide(_ref) {
  var xs = _ref.xs,
    s = _ref.s,
    m = _ref.m,
    l = _ref.l,
    display = _ref.display,
    props = _objectWithoutProperties(_ref, _excluded);
  var allProps = _objectSpread({
    display: display || [xs, s, m, l].map(function (n) {
      return n ? 'none' : 'block';
    })
  }, props);
  return /*#__PURE__*/_react["default"].createElement(Display, allProps);
};
exports.Hide = Hide;
var Container = (0, _styledComponents["default"])(_Primitives.Box).withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
}).attrs(function (props) {
  return _objectSpread({
    mx: 'auto',
    px: 3
  }, props);
})({
  maxWidth: 1200
}, _styledSystem.maxWidth);
exports.Container = Container;