"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Link = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _InlineLink = require("./InlineLink");
var _ReactRouterLink = require("./ReactRouterLink");
var _excluded = ["LinkComponent", "isActive", "external", "to", "inline", "newTab"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var Link = function Link(_ref) {
  var _ref$LinkComponent = _ref.LinkComponent,
    LinkComponent = _ref$LinkComponent === void 0 ? _InlineLink.InlineLink : _ref$LinkComponent,
    isActive = _ref.isActive,
    external = _ref.external,
    to = _ref.to,
    inline = _ref.inline,
    newTab = _ref.newTab,
    props = _objectWithoutProperties(_ref, _excluded);
  var _LinkComponent = external ? LinkComponent : _ReactRouterLink.DefaultLink;
  var linkProps = _objectSpread({}, props);
  if (external) {
    // Anchor tag by default
    linkProps.href = to;
    // https://developers.google.com/web/tools/lighthouse/audits/noopener
    linkProps.rel = 'noopener';
  } else {
    // react-router or gatsby link
    linkProps.to = to;
  }
  if (newTab) {
    linkProps.target = '_blank';
  }
  if (isActive) {
    linkProps.fontWeight = 'bold';
  }
  if (inline) {
    return /*#__PURE__*/_react["default"].createElement(_LinkComponent, linkProps);
  } else {
    return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_LinkComponent, linkProps));
  }
};
exports.Link = Link;
Link.propTypes = {
  to: _propTypes["default"].string.isRequired,
  external: _propTypes["default"].bool,
  inline: _propTypes["default"].bool,
  newTab: _propTypes["default"].bool
};
Link.defaultProps = {
  external: false,
  inline: false,
  newTab: false
};
Link.displayName = 'Link';