"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.LoadingWrapper = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Grid = require("../Grid");
var _LoadingAnimation = require("./LoadingAnimation");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var LoadingWrapper = function LoadingWrapper(_ref) {
  var loading = _ref.loading,
    children = _ref.children,
    _ref$showAnimation = _ref.showAnimation,
    showAnimation = _ref$showAnimation === void 0 ? false : _ref$showAnimation;
  if (loading) {
    if (showAnimation) {
      // show animation while loading
      return /*#__PURE__*/_react["default"].createElement(_Grid.GridCentered, null, /*#__PURE__*/_react["default"].createElement(_LoadingAnimation.LoadingAnimation, null));
    } else {
      // blank while loading
      return /*#__PURE__*/_react["default"].createElement("div", null);
    }
  } else {
    return /*#__PURE__*/_react["default"].createElement("div", null, children);
  }
};
exports.LoadingWrapper = LoadingWrapper;
LoadingWrapper.propTypes = {
  loading: _propTypes["default"].bool.isRequired,
  showAnimation: _propTypes["default"].bool,
  children: _propTypes["default"].node
};
var _default = LoadingWrapper;
exports["default"] = _default;