"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Text = exports.Grid = exports.Flex = exports.Box = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _shouldForwardProp = _interopRequireDefault(require("@styled-system/should-forward-prop"));
var _excluded = ["placeItems"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
/**
 * Rebass primitives with additional styled-system props for ease-of-use
 * These are essentially the same components, but with additional theme
 * configuration from rebass
 *
 * We need to add these back, because either styled, or styled().withConfig() strips
 * styled-system functions.
 */
var Box = (0, _styledComponents["default"])('div').withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})(function (props) {
  return props.css;
}, _styledSystem.space, _styledSystem.layout, _styledSystem.typography, _styledSystem.color, _styledSystem.flexbox);
exports.Box = Box;
var gap = (0, _styledSystem.system)({
  gap: {
    property: 'gap',
    scale: 'space'
  }
});
var Flex = (0, _styledComponents["default"])('div').withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})({
  display: 'flex'
}, function (props) {
  return props.css;
}, _styledSystem.space, _styledSystem.layout, _styledSystem.color, _styledSystem.flexbox, _styledSystem.grid, _styledSystem.position, gap, _styledSystem.typography);
exports.Flex = Flex;
var Grid = (0, _styledComponents["default"])('div').attrs(function (_ref) {
  var placeItems = _ref.placeItems,
    props = _objectWithoutProperties(_ref, _excluded);
  return _objectSpread({
    placeItems: placeItems || 'center'
  }, props);
}).withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})({
  display: 'grid'
}, function (props) {
  return props.css;
}, _styledSystem.space, _styledSystem.layout, _styledSystem.color, _styledSystem.grid, _styledSystem.position, _styledSystem.flexbox // We have placeItems, but this is more for alignItems and justifyContent
);
exports.Grid = Grid;
var Text = (0, _styledComponents["default"])('span').withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
})(function (props) {
  return props.css;
}, _styledSystem.space, _styledSystem.layout, _styledSystem.typography, _styledSystem.color, _styledSystem.flexbox);
exports.Text = Text;