"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SidebarLogo = exports.SidebarLayout = exports.Sidebar = exports.Content = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _Main = require("./Main");
var _Footer = require("./Footer");
var _NeedHelp = require("./NeedHelp");
var _Grid = require("./Grid");
var _Logo = require("./Logo");
var _theme = _interopRequireDefault(require("./Theme/theme"));
var _excluded = ["children", "px", "showHelp", "showFooter", "currentSite", "mainProps"];
var _templateObject, _templateObject2, _templateObject3, _templateObject4;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
/* Usage:

  <SidebarLayout>
    <Sidebar>
      // Three children - top, middle, bottom
    </Sidebar>
    <Content>
      // Main page content
    </Content>
  </SidebarLayout>

*/

var SidebarLogo = function SidebarLogo(_ref) {
  var useRouterLink = _ref.useRouterLink;
  return /*#__PURE__*/_react["default"].createElement(_Grid.GridCenteredCol, {
    px: 4
  }, useRouterLink ? /*#__PURE__*/_react["default"].createElement(_Logo.Logo, null) : /*#__PURE__*/_react["default"].createElement(_Logo.LogoNormalLink, null));
};
exports.SidebarLogo = SidebarLogo;
SidebarLogo.propTypes = {
  useRouterLink: _propTypes["default"].bool
};
SidebarLogo.defaultProps = {
  useRouterLink: true
};
var Sidebar = _styledComponents["default"].div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  ", ";\n  ", ";\n  ", ";\n  background-color: ", ";\n  height: 100vh;\n  display: grid;\n  grid-template-columns: 1fr;\n  overflow-y: auto;\n\n  /* logo, nav, return to actions */\n  grid-template-rows: 150px 1fr 200px;\n\n  @media screen and (max-width: 640px) {\n    height: min-content;\n    grid-template-rows: 80px auto min-content;\n\n    /* align nav links right */\n    text-align: right;\n  }\n"])), _styledSystem.space, _styledSystem.width, _styledSystem.fontSize, _theme["default"].colors.sidebarblue);

// 300 wide sidebar + up to 900px wide content = 1200 max page width
exports.Sidebar = Sidebar;
var Content = /*#__PURE__*/(0, _react.forwardRef)(function (_ref2, ref) {
  var children = _ref2.children,
    px = _ref2.px,
    showHelp = _ref2.showHelp,
    showFooter = _ref2.showFooter,
    currentSite = _ref2.currentSite,
    _ref2$mainProps = _ref2.mainProps,
    mainProps = _ref2$mainProps === void 0 ? {} : _ref2$mainProps,
    props = _objectWithoutProperties(_ref2, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_Main.Main, _extends({
    ref: ref
  }, mainProps), /*#__PURE__*/_react["default"].createElement(_Main.GrowBox, _extends({
    px: px,
    pb: 3,
    pt: [5, 6],
    maxWidth: 900
  }, props), children), (showHelp || showFooter) && /*#__PURE__*/_react["default"].createElement(_Main.NoShrinkBox, null, showHelp && /*#__PURE__*/_react["default"].createElement(_NeedHelp.NeedHelp, {
    px: px
  }), showFooter && /*#__PURE__*/_react["default"].createElement(_Footer.Footer, {
    mt: 4,
    px: px,
    py: [4, 5],
    bg: "footerlightblue",
    currentSite: currentSite
  })));
});
exports.Content = Content;
Content.propTypes = {
  children: _propTypes["default"].node,
  px: _propTypes["default"].array,
  showHelp: _propTypes["default"].bool,
  showFooter: _propTypes["default"].bool,
  currentSite: _Footer.Footer.propTypes.currentSite
};
Content.defaultProps = {
  px: [4, 4, 4, 5],
  showHelp: false,
  showFooter: false
};

/* ------ */

var Container = _styledComponents["default"].div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  ", ";\n  display: grid;\n  grid-template-columns: 1fr minmax(auto, 1200px) 1fr;\n\n  @media screen and (max-width: 640px) {\n    grid-template-columns: 0 auto;\n  }\n"])), _styledSystem.color);
var SidebarSpace = _styledComponents["default"].div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  background-color: ", ";\n"])), _theme["default"].colors.sidebarblue);
var Page = _styledComponents["default"].div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  display: grid;\n  grid-column: span 2;\n  grid-template-rows: 1fr;\n  grid-template-columns: 300px 1fr;\n  height: 100vh;\n\n  @media screen and (max-width: 750px) {\n    grid-template-columns: 220px 1fr;\n  }\n\n  @media screen and (max-width: 640px) {\n    grid-template-rows: 1fr auto;\n    grid-template-columns: 1fr;\n    height: min-content;\n  }\n"])));
var SidebarLayout = function SidebarLayout(_ref3) {
  var children = _ref3.children,
    _ref3$bg = _ref3.bg,
    bg = _ref3$bg === void 0 ? null : _ref3$bg;
  return /*#__PURE__*/_react["default"].createElement(Container, {
    bg: bg
  }, /*#__PURE__*/_react["default"].createElement(SidebarSpace, {
    bg: "sidebarblue"
  }), /*#__PURE__*/_react["default"].createElement(Page, null, children));
};
exports.SidebarLayout = SidebarLayout;
SidebarLayout.propTypes = {
  children: _propTypes["default"].node
};