"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextInput = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _theme = _interopRequireDefault(require("./Theme/theme"));
var _styledComponents2 = require("@rebass/forms/styled-components");
var _excluded = ["isInvalid", "showValidation"];
var _templateObject;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var StyledInput = (0, _styledComponents["default"])(_styledComponents2.Input)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  padding: 20px 25px;\n  border: 1px solid ", ";\n  box-shadow: none;\n  border-radius: ", "px;\n\n  &:focus {\n    background-color: ", ";\n    box-shadow: none;\n  }\n"])), _theme["default"].colors.inputborder, _theme["default"].radii[2], _theme["default"].colors.inputfocusbc);
var TextInput = function TextInput(_ref) {
  var isInvalid = _ref.isInvalid,
    showValidation = _ref.showValidation,
    rest = _objectWithoutProperties(_ref, _excluded);
  return isInvalid && showValidation ? /*#__PURE__*/_react["default"].createElement(StyledInput, _extends({
    bg: _theme["default"].colors.inputinvalidbc
  }, rest)) : /*#__PURE__*/_react["default"].createElement(StyledInput, rest);
};
exports.TextInput = TextInput;
TextInput.propTypes = {
  isInvalid: _propTypes["default"].bool,
  showValidation: _propTypes["default"].bool
};
TextInput.defaultProps = {
  isInvalid: false,
  showValidation: false
};