"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DefaultLink = exports.ButtonLinkLocal = exports.ActiveLink = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _shouldForwardProp = _interopRequireDefault(require("@styled-system/should-forward-prop"));
var _Buttons = require("../Buttons");
var _reactRouterDom = require("react-router-dom");
var _Link = require("./Link");
var _excluded = ["to", "exact"],
  _excluded2 = ["href", "type"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var CleanRouterLink = (0, _styledComponents["default"])(_reactRouterDom.Link).withConfig({
  shouldForwardProp: _shouldForwardProp["default"]
}).attrs(function (props) {
  return _objectSpread({
    lineHeight: [2, 3]
  }, props);
})({
  display: 'inline-block',
  textDecoration: 'none',
  transition: 'opacity ease-in-out 0.1s',
  '&:hover': {
    opacity: 0.8
  }
}, _styledSystem.space, _styledSystem.layout, _styledSystem.color, _styledSystem.typography);
var DefaultLink = CleanRouterLink;

///////////////////////////////////////////////////////////////////////////////
// Active Link - passes isActive down to Link element
exports.DefaultLink = DefaultLink;
var ActiveLink = function ActiveLink(_ref) {
  var to = _ref.to,
    _ref$exact = _ref.exact,
    exact = _ref$exact === void 0 ? true : _ref$exact,
    rest = _objectWithoutProperties(_ref, _excluded);
  var resolved = (0, _reactRouterDom.useResolvedPath)(to);
  var match = (0, _reactRouterDom.useMatch)({
    path: resolved.pathname,
    end: exact
  });
  return /*#__PURE__*/_react["default"].createElement(_Link.Link, _extends({
    to: to
  }, rest, {
    isActive: !!match
  }));
};

///////////////////////////////////////////////////////////////////////////////
// for linking to local urls e.g. href='/'
exports.ActiveLink = ActiveLink;
var ButtonLinkLocal = function ButtonLinkLocal(_ref2) {
  var href = _ref2.href,
    _ref2$type = _ref2.type,
    type = _ref2$type === void 0 ? 'secondary' : _ref2$type,
    rest = _objectWithoutProperties(_ref2, _excluded2);
  var navigate = (0, _reactRouterDom.useNavigate)();

  // TODO check modifier keys pressed
  var onClick = (0, _react.useCallback)(function () {
    return navigate(href);
  }, [navigate, href]);
  if (type === 'secondary') {
    return /*#__PURE__*/_react["default"].createElement(_Buttons.SecondaryButton, _extends({}, rest, {
      as: "a",
      onClick: onClick
    }));
  } else if (type === 'primary') {
    return /*#__PURE__*/_react["default"].createElement(_Buttons.PrimaryButton, _extends({}, rest, {
      as: "a",
      onClick: onClick
    }));
  }
  throw Error('Invalid ButtonLinkLocal type');
};
exports.ButtonLinkLocal = ButtonLinkLocal;